Subject: [bug#52505] [PATCH 2/2] doc: Mention how to remedy "source file ... newer than compiled error".

From: Nicolas Goaziou <[email-masked]>
Date: Wed, 15 Dec 2021 14:14:13 +0100

Hello,

jgart via Guix-patches via <[email-masked]> writes:

> +This is only a note and you can safely ignore it. You can get rid of
> +the message by running @command{make -j}. Until you do, Guile will run
> +slightly slower because it will interpret the code instead of using
> +prepared Guile object (@code{.go}) files.

@code{.go} -> @file{.go}

> +You can run @command{make} automatically as you work using
> +@command{watchexec} from the @code{watchexec} package.

I'm not sure about the policy for the packages (assuming there is one).
I think @code{watchexec} should be used for the Guix variable containing
the package, and capitalized Watchexec may be appropriate for the
package name, which may not be the same as the variable.

Anyway, I'm just thinking out loud. In this situation.

> For example, to build again each time you update a package file, you
> can run +@command{watchexec -w gnu/packages make -j}.

According to the Texinfo manual, entire shell commands may use @samp.
@command is for the command name. Thus:

@command{watchexec -w gnu/packages make -j} -> @samp{watchexec -w gnu/packages make -j}

Regards,
-- 
Nicolas Goaziou